# Get Request Privacy compliance for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/request-privacy/compliance

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/request-privacy/compliance
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)

  - `sortDesc` (boolean)
    Controls sorting order

## Request body:

  - `application/json` (unknown)
    Filters applicable to Request Privacy report

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: ObserveP

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from `==` to `!=`, and from `between [minInclusive, maxExclusive)` to `NOT between [minInclusive, maxExclusive)`

  - `initialPageStatusCode.filterValue` (integer, required)

  - `initialPageStatusCode.minInclusive` (integer, required)

  - `initialPageStatusCode.maxExclusive` (integer, required)

  - `combinedPageStatusCode` (string)
    - `broken` - initial or final URL are `broken`,
- `good` - initial URL is `good` or `redirect` and final URL is `good`
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `hasBrokenLinks` (boolean)

  - `requestDomain` (string)
    Network request URL domain
    Example: example.com

  - `consentCategoryId` (integer)
    ID of consent category
    Example: 3301

  - `consentCategorySnapshotId` (integer)
    Use in filtering purposes is DEPRECATED in favour of `ConsentCategoryId`! Snapshot Id of consent category attached to this run
    Example: 33010

  - `consentCategoryComplianceStatus` (string)
    Enum: "approved", "unapproved", "pending", "uncategorized"

  - `consentCategoryConflictsOnly` (boolean)
    If `true` then return only items matched by two or more consent categories
with at least two distinct compliance statuses. An item not matched by any
consent category is never a conflict. A conflicted item resolves to its
worst compliance status (`unapproved`, then `pending`, then `uncategorized`,
then `approved`), so combining this filter with
`consentCategoryComplianceStatus=approved` returns an empty result.
Only compliance statuses that the report returns for the account count as
distinct statuses; matches by categories with any other status are ignored.
Combines with `consentCategoryId`, `consentCategorySnapshotId` and
`consentCategoryComplianceStatus` by AND.
If absent or `false` then no filtering is applied.

  - `countryCode` (string)
    ISO 3166-1 (Alpha-2) country code
    Example: US

## Response 200:

  - `200` (unknown)
    Request Privacy compliance data

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by `size` query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `requests` (array, required)

  - `requests.requestDomain` (string, required)
    Network request URL domain
    Example: example.com

  - `requests.requestGeo` (object)

  - `requests.requestGeo.countryCode` (string, required)
    ISO 3166-1 (Alpha-2) country code
    Example: US

  - `requests.requestGeo.countryName` (string, required)
    Example: United States

  - `requests.requestCount` (integer, required)

  - `requests.consentCategoryComplianceStatus` (string)
    Enum: "approved", "unapproved", "pending", "uncategorized"

  - `requests.consentCategorySnapshotId` (integer)
    Use in filtering purposes is DEPRECATED in favour of `ConsentCategoryId`! Snapshot Id of consent category attached to this run
    Example: 33010

  - `requests.consentCategoryName` (string)
    Name of consent category item (tag, cookie, domain, geo) belongs to

  - `requests.consentCategories` (array)
    List of consent categories matching this request

  - `requests.filteredPageCount` (integer, required)

## Response 400:

  - `400` (unknown)
    The request cannot be accepted

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401:

  - `401` (unknown)
    Your token is invalid.

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404:

  - `404` (unknown)
    The object you are looking is not found

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

